# （四）Java的三种基本结构




结构化编程的三种基本结构？你可能会犹豫一下，它们分别是：

* 顺序结构

* 分支结构

* 循环结构

大学学过 C 语言的同学一下就明白了，具我接触过的编程语言都提供的了这三种基本结构，不管是面向过程的编程语言，还是面向对象的编程语言。

__顺序结构__ 表示程序中的各操作是按照它们出现的先后顺序执行的。

__分支结构__ 表示程序的处理步骤出现了分支，它需要根据某一特定的条件选择其中的一个分支执行。

__循环结构__ 表示程序反复执行某个或某些操作，直到某条件为假（或为真）时才可终止循环。


#### 分支与循环例子
---


* 求数的阶乘，如下：

```
0！=1
1！=1
2！=2×1=2
3！=3×2×1=6
```

实现代码如下：
```Java

public class JavaStructure {

    public static void main(String[] args) {

        // 计算10人的阶乘
        int number = 10;

        // 0和1的阶乘都为1
        if (number == 0 || number == 1) {
            System.out.print(1);
        }else {
            //循环累乘 10
            int count = 1;
            for (int i = number; i > 0; i--) {
                count *= i;
            }
            System.out.print(count);
        }

    }
}
```


* 打印一个三角形，如下：

```

    *
   ***
  *****
 *******
*********
```

实现代码如下：

```Java

public class JavaStructure {

    public static void main(String[] args) {

        //打印金子塔
        for (int i = 1; i <= 5; i++) {
            for (int j = 5 - i; j > 0; j--) {
                System.out.print(" ");
            }
            for (int k = 1; k <= 2 * i - 1; k++) {
                System.out.print("*");
            }
            System.out.print("\n");
        }
    }
}
```

* 打印九九乘法表，如下：

```
1*1=1
1*2=2 2*2=4
1*3=3 2*3=6 3*3=9
1*4=4 2*4=8 3*4=12 4*4=16
1*5=5 2*5=10 3*5=15 4*5=20 5*5=25
1*6=6 2*6=12 3*6=18 4*6=24 5*6=30 6*6=36
1*7=7 2*7=14 3*7=21 4*7=28 5*7=35 6*7=42 7*7=49
1*8=8 2*8=16 3*8=24 4*8=32 5*8=40 6*8=48 7*8=56 8*8=64
1*9=9 2*9=18 3*9=27 4*9=36 5*9=45 6*9=54 7*9=63 8*9=72 9*9=81
```

实现代码如下：

```Java

public class JavaStructure {

    public static void main(String[] args) {

        // 打印九九乘法表
        for (int i = 1; i <= 9; i++) {
            for (int j = 1; j <= i; j++) {
                System.out.print(j + "*" + i + "=" + (i * j) + " ");
            }
            System.out.println();
        }

    }
}
```


#### 总结
---
类似这样的例子非常多，主要是训练你的逻辑思维能力，另外可以帮助你熟悉所学编程语言的语法。

但是，对于大多IT民工来说，能否开发出项目，重点在于对业务的理解，以及相关框架的使用是否熟悉。




原始封面

![课程图片](https://images.unsplash.com/photo-1698592897445-2b87b26c2db3?w=300)


